### Class method

# GObject ObjectClass override_property

since: 2.4

#### Declaration [src]

    void
    g_object_class_override_property (
      GObjectClass* oclass,
      guint property_id,
      const gchar* name
    )

#### Description [src]

Registers `property_id` as referring to a property with the name `name` in a parent class or in an interface implemented by `oclass`. This allows this class to “override” a property implementation in a parent class or to provide the implementation of a property from an interface.

Internally, overriding is implemented by creating a property of type `GParamSpecOverride`; generally operations that query the properties of the object class, such as `g_object_class_find_property()` or `g_object_class_list_properties()` will return the overridden property. However, in one case, the `construct_properties` argument of the `constructor` virtual function, the `GParamSpecOverride` is passed instead, so that the `param_id` field of the `GParamSpec` will be correct. For virtually all uses, this makes no difference. If you need to get the overridden property, you can call g_param_spec_get_redirect_target().

Available since: 2.4

#### Parameters

`property_id`

  Type: `guint`

  The new property ID.

`name`

  Type: `const gchar*`

  The name of a property registered in a parent class or in an interface of this class.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.